.dosage-table-container {
  background-color: #F7F7F7;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1607843137);
}
.dosage-table-container h2 {
  text-align: center;
}
.dosage-table-container > .container > .row {
  margin-left: calc(var(--bs-gutter-x) / -2);
  margin-right: calc(var(--bs-gutter-x) / -2);
  --bs-gutter-x: unset;
}
.dosage-table-container .dosage-table {
  border-radius: 10px;
  box-shadow: 3px 0px 6px rgba(0, 0, 0, 0.1607843137);
  overflow: hidden;
}
.dosage-table-container .dosage-table .col {
  display: flex;
  justify-content: center;
  align-items: center;
}
.dosage-table-container .dosage-table .col.table-heading {
  background-color: #313131;
  color: #FFFFFF;
  box-shadow: 3px 0px 6px rgba(0, 0, 0, 0.1607843137);
}
.dosage-table-container .dosage-table .col.table-heading.weight {
  border-top-left-radius: 10px;
}
.dosage-table-container .dosage-table .col.table-heading.weight h5 {
  font-weight: 600;
  padding: 15px 0;
  width: 80%;
  margin: 0 auto;
  text-align: center;
  border-bottom: 2px solid #FFFFFF;
}
@media (max-width: 768px) {
  .dosage-table-container .dosage-table .col.table-heading.weight h5 {
    border-bottom: 0;
  }
}
.dosage-table-container .dosage-table .col.table-heading.dosage {
  border-bottom-left-radius: 10px;
}
.dosage-table-container .dosage-table .col.table-heading.dosage h5 {
  font-weight: 600;
  padding: 15px 0;
  width: 100%;
  margin: 0 auto;
  text-align: center;
}
.dosage-table-container .dosage-table .col.has-icon {
  flex-direction: column;
}
.dosage-table-container .dosage-table .table-row-top {
  border-top-right-radius: 10px;
}
.dosage-table-container .dosage-table .table-row-top .col:nth-child(1) ~ .col {
  position: relative;
}
.dosage-table-container .dosage-table .table-row-top .col:nth-child(1) ~ .col::after {
  background-color: #D6D6D6;
  width: 2px;
  height: 85%;
  content: "";
  display: block;
  position: absolute;
  right: 0;
  bottom: 0;
}
.dosage-table-container .dosage-table .table-row-top .col.table-title:nth-last-child(1)::after {
  height: 0;
  width: 0;
  display: none;
}
.dosage-table-container .dosage-table .table-row-bottom {
  border-bottom-right-radius: 10px;
}
.dosage-table-container .dosage-table .table-row-bottom .col:nth-child(1) ~ .col {
  position: relative;
}
.dosage-table-container .dosage-table .table-row-bottom .col:nth-child(1) ~ .col::after {
  background-color: #D6D6D6;
  width: 2px;
  height: 85%;
  content: "";
  display: block;
  position: absolute;
  right: 0;
  top: 0;
}
.dosage-table-container .dosage-table .table-row-bottom .col.has-icon:nth-last-child(1)::after {
  height: 0;
  width: 0;
  display: none;
}
@media (max-width: 768px) {
  .dosage-table-container .dosage-table .col {
    flex-grow: 2;
  }
  .dosage-table-container .dosage-table .col.table-heading {
    flex-grow: 1;
  }
  .dosage-table-container .dosage-table .col.table-heading.weight {
    border-top-left-radius: 10px;
  }
  .dosage-table-container .dosage-table .col.table-heading.weight p {
    border: 0;
  }
  .dosage-table-container .dosage-table .col.table-heading.dosage {
    border-bottom-left-radius: 0px;
    border-top-right-radius: 10px;
  }
  .dosage-table-container .dosage-table #table-row-top {
    border-bottom-left-radius: 10px;
  }
  .dosage-table-container .dosage-table #table-row-top .col:nth-child(1) ~ .col {
    position: relative;
  }
  .dosage-table-container .dosage-table #table-row-top .col:nth-child(1) ~ .col::after {
    background-color: #D6D6D6;
    width: 2px;
    height: 85%;
    content: "";
    display: block;
    position: absolute;
    right: 0;
    bottom: 0;
  }
  .dosage-table-container .dosage-table #table-row-bottom .col.has-icon::after {
    width: 0;
    height: 0;
    display: none;
  }
}